package collector

import (
	"strings"

	"github.com/prometheus/client_golang/prometheus"
)

func metricStringCleanup(in string) string {
	return strings.Replace(in, "-", "_", -1)
}

func descriptionForPropertyName(prefix, property string, labelNames []string) *prometheus.Desc {
	return descriptionForPropertyNameHelpText(prefix, property, labelNames, property)
}

func descriptionForPropertyNameHelpText(prefix, property string, labelNames []string, helpText string) *prometheus.Desc {
	return prometheus.NewDesc(
		prometheus.BuildFQName(namespace, prefix, metricStringCleanup(property)),
		helpText,
		labelNames,
		nil,
	)
}

func description(prefix, name, helpText string, labelNames []string) *prometheus.Desc {
	return prometheus.NewDesc(
		prometheus.BuildFQName(namespace, prefix, name),
		helpText,
		labelNames,
		nil,
	)
}

func avgOfArray(data []float64) float64 {
	// Handle the case of an empty slice to avoid division by zero
	if len(data) == 0 {
		return 0.0
	}

	sum := 0.0
	for _, value := range data {
		sum += value
	}

	average := sum / float64(len(data))

	return average
}
